<?php

class Wact_Template_Tag_wact_placeholderTestCase extends Wact_Test_Case_Template {

    function testPlaceHolder() {
        $t = $this->createTempTemplate(
            '-<wact:placeholder id="slot">-');

        $holder = $t->getChild('slot');
        $holder->appendChild(new Wact_View_Literal('inserted'));

        $output = $t->capture();
        
        $this->assertEqual($output, '-inserted-');
    }

}
?>